## AwnIconBox AwnIconBox |

## Synopsis

                        AwnIconBoxPrivate;
                        AwnIconBox;
    GtkWidget *         awn_icon_box_new                    (void);
    GtkWidget *         awn_icon_box_new_for_applet         (AwnApplet *applet);
    void                awn_icon_box_set_pos_type           (AwnIconBox *icon_box,
                                                             GtkPositionType position);
    void                awn_icon_box_set_offset             (AwnIconBox *icon_box,
                                                             gint offset);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----AwnBox
                                           +----AwnIconBox

## Implemented Interfaces

AwnIconBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "applet"                   AwnApplet*            : Write / Construct Only

## Description

## Details

### AwnIconBoxPrivate

    typedef struct _AwnIconBoxPrivate AwnIconBoxPrivate;

### AwnIconBox

    typedef struct _AwnIconBox AwnIconBox;

### awn_icon_box_new ()

    GtkWidget *         awn_icon_box_new                    (void);

Returns : |

### awn_icon_box_new_for_applet ()

    GtkWidget *         awn_icon_box_new_for_applet         (AwnApplet *applet);

`applet` : |
Returns : |

### awn_icon_box_set_pos_type ()

    void                awn_icon_box_set_pos_type           (AwnIconBox *icon_box,
                                                             GtkPositionType position);

`icon_box` : |
`position` : |

### awn_icon_box_set_offset ()

    void                awn_icon_box_set_offset             (AwnIconBox *icon_box,
                                                             gint offset);

`icon_box` : |
`offset` : |

## Property Details

### The `"applet"` property

      "applet"                   AwnApplet*            : Write / Construct Only

AwnApplet from which offset and position properties are read.